<!DOCTYPE html>
<html class="" lang="en">
<head prefix="og: http://ogp.me/ns#">
<meta charset="utf-8">
<link href="https://assets.gitlab-static.net" rel="dns-prefetch">
<link crossorigin="" href="https://assets.gitlab-static.net" rel="preconnnect">
<meta content="IE=edge" http-equiv="X-UA-Compatible">
<meta content="object" property="og:type">
<meta content="GitLab" property="og:site_name">
<meta content="Faster MRs ($1960084) · Snippets" property="og:title">
<meta content="GitLab.com" property="og:description">
<meta content="https://assets.gitlab-static.net/assets/gitlab_logo-7ae504fe4f68fdebb3c2034e36621930cd36ea87924c11ff65dbcb8ed50dca58.png" property="og:image">
<meta content="64" property="og:image:width">
<meta content="64" property="og:image:height">
<meta content="https://gitlab.com/snippets/1960084" property="og:url">
<meta content="summary" property="twitter:card">
<meta content="Faster MRs ($1960084) · Snippets" property="twitter:title">
<meta content="GitLab.com" property="twitter:description">
<meta content="https://assets.gitlab-static.net/assets/gitlab_logo-7ae504fe4f68fdebb3c2034e36621930cd36ea87924c11ff65dbcb8ed50dca58.png" property="twitter:image">

<title>Faster MRs ($1960084) · Snippets · GitLab</title>
<meta content="GitLab.com" name="description">
<link rel="shortcut icon" type="image/png" href="https://gitlab.com/assets/favicon-7901bd695fb93edb07975966062049829afb56cf11511236e61bcf425070e36e.png" id="favicon" data-original-href="https://gitlab.com/assets/favicon-7901bd695fb93edb07975966062049829afb56cf11511236e61bcf425070e36e.png" />
<link rel="stylesheet" media="all" href="https://assets.gitlab-static.net/assets/application-f6593e4dee4565ff82f3af323cd221d52ccdef896072f9bb4f5ade1ecfd7b5e2.css" />
<link rel="stylesheet" media="print" href="https://assets.gitlab-static.net/assets/print-74c3df10dad473d66660c828e3aa54ca3bfeac6d8bb708643331403fe7211e60.css" />


<link rel="stylesheet" media="all" href="https://assets.gitlab-static.net/assets/highlight/themes/white-a20fa0d18cb98944b079c02ad5a6f46cb362f986ffd703fda24b3e8e2a4a8874.css" />
<script nonce="OOUL8C7SsL93WBvnyTXFWg==">
//<![CDATA[
window.gon={};
//]]>
</script>

<script src="https://assets.gitlab-static.net/assets/webpack/runtime.d44254e3.bundle.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/main.30fb3353.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/sentry.9ad39fdf.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/commons~pages.admin.runners~pages.analytics.productivity_analytics~pages.dashboard.issues~pages.dash~6843ec56.75e280e0.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/commons~pages.projects.releases.edit~pages.projects.snippets.edit~pages.projects.snippets.new~pages.~c20ee758.c656be11.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/pages.snippets.show.3fa87578.chunk.js" defer="defer"></script>

<meta name="csrf-param" content="authenticity_token" />
<meta name="csrf-token" content="WabK0YQRmYL3IANlWOVjqL34rBWSon9Bhsjt0lh2RrA5RmnkHfZ/Z2DoS3/oIjx9qvwiPsfe96peUj0OVlUhrw==" />
<meta name="csp-nonce" content="OOUL8C7SsL93WBvnyTXFWg==" />
<meta content="origin-when-cross-origin" name="referrer">
<meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
<meta content="#474D57" name="theme-color">
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-iphone-5a9cee0e8a51212e70b90c87c12f382c428870c0ff67d1eb034d884b78d2dae7.png" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-ipad-a6eec6aeb9da138e507593b464fdac213047e49d3093fc30e90d9a995df83ba3.png" sizes="76x76" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-iphone-retina-72e2aadf86513a56e050e7f0f2355deaa19cc17ed97bbe5147847f2748e5a3e3.png" sizes="120x120" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-ipad-retina-8ebe416f5313483d9c1bc772b5bbe03ecad52a54eba443e5215a22caed2a16a2.png" sizes="152x152" />
<link color="rgb(226, 67, 41)" href="https://assets.gitlab-static.net/assets/logo-d36b5212042cebc89b96df4bf6ac24e43db316143e89926c0db839ff694d2de4.svg" rel="mask-icon">
<meta content="https://assets.gitlab-static.net/assets/msapplication-tile-1196ec67452f618d39cdd85e2e3a542f76574c071051ae7effbfde01710eb17d.png" name="msapplication-TileImage">
<meta content="#30353E" name="msapplication-TileColor">



<script nonce="OOUL8C7SsL93WBvnyTXFWg==">
//<![CDATA[
;(function(p,l,o,w,i,n,g){if(!p[i]){p.GlobalSnowplowNamespace=p.GlobalSnowplowNamespace||[];
p.GlobalSnowplowNamespace.push(i);p[i]=function(){(p[i].q=p[i].q||[]).push(arguments)
};p[i].q=p[i].q||[];n=l.createElement(o);g=l.getElementsByTagName(o)[0];n.async=1;
n.src=w;g.parentNode.insertBefore(n,g)}}(window,document,"script","https://assets.gitlab-static.net/assets/snowplow/sp-e10fd598642f1a4dd3e9e0e026f6a1ffa3c31b8a40efd92db3f92d32873baed6.js","snowplow"));

window.snowplowOptions = {"namespace":"gl","hostname":"snowplow.trx.gitlab.net","cookieDomain":".gitlab.com","appId":"gitlab","formTracking":true,"linkClickTracking":true,"igluRegistryUrl":null}


//]]>
</script>
</head>

<body class="ui-indigo tab-width-8  gl-browser-generic gl-platform-other" data-group="" data-page="snippets:show" data-page-type-id="1960084">

<script nonce="OOUL8C7SsL93WBvnyTXFWg==">
//<![CDATA[
gl = window.gl || {};
gl.client = {"isGeneric":true,"isOther":true};


//]]>
</script>


<header class="navbar navbar-gitlab navbar-expand-sm js-navbar" data-qa-selector="navbar">
<a class="sr-only gl-accessibility" href="#content-body" tabindex="1">Skip to content</a>
<div class="container-fluid">
<div class="header-content">
<div class="title-container">
<h1 class="title">
<a title="Dashboard" id="logo" href="/"><svg width="24" height="24" class="tanuki-logo" viewBox="0 0 36 36">
  <path class="tanuki-shape tanuki-left-ear" fill="#e24329" d="M2 14l9.38 9v-9l-4-12.28c-.205-.632-1.176-.632-1.38 0z"/>
  <path class="tanuki-shape tanuki-right-ear" fill="#e24329" d="M34 14l-9.38 9v-9l4-12.28c.205-.632 1.176-.632 1.38 0z"/>
  <path class="tanuki-shape tanuki-nose" fill="#e24329" d="M18,34.38 3,14 33,14 Z"/>
  <path class="tanuki-shape tanuki-left-eye" fill="#fc6d26" d="M18,34.38 11.38,14 2,14 6,25Z"/>
  <path class="tanuki-shape tanuki-right-eye" fill="#fc6d26" d="M18,34.38 24.62,14 34,14 30,25Z"/>
  <path class="tanuki-shape tanuki-left-cheek" fill="#fca326" d="M2 14L.1 20.16c-.18.565 0 1.2.5 1.56l17.42 12.66z"/>
  <path class="tanuki-shape tanuki-right-cheek" fill="#fca326" d="M34 14l1.9 6.16c.18.565 0 1.2-.5 1.56L18 34.38z"/>
</svg>

<span class="logo-text d-none d-lg-block prepend-left-8">
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 617 169"><path d="M315.26 2.97h-21.8l.1 162.5h88.3v-20.1h-66.5l-.1-142.4M465.89 136.95c-5.5 5.7-14.6 11.4-27 11.4-16.6 0-23.3-8.2-23.3-18.9 0-16.1 11.2-23.8 35-23.8 4.5 0 11.7.5 15.4 1.2v30.1h-.1m-22.6-98.5c-17.6 0-33.8 6.2-46.4 16.7l7.7 13.4c8.9-5.2 19.8-10.4 35.5-10.4 17.9 0 25.8 9.2 25.8 24.6v7.9c-3.5-.7-10.7-1.2-15.1-1.2-38.2 0-57.6 13.4-57.6 41.4 0 25.1 15.4 37.7 38.7 37.7 15.7 0 30.8-7.2 36-18.9l4 15.9h15.4v-83.2c-.1-26.3-11.5-43.9-44-43.9M557.63 149.1c-8.2 0-15.4-1-20.8-3.5V70.5c7.4-6.2 16.6-10.7 28.3-10.7 21.1 0 29.2 14.9 29.2 39 0 34.2-13.1 50.3-36.7 50.3m9.2-110.6c-19.5 0-30 13.3-30 13.3v-21l-.1-27.8h-21.3l.1 158.5c10.7 4.5 25.3 6.9 41.2 6.9 40.7 0 60.3-26 60.3-70.9-.1-35.5-18.2-59-50.2-59M77.9 20.6c19.3 0 31.8 6.4 39.9 12.9l9.4-16.3C114.5 6 97.3 0 78.9 0 32.5 0 0 28.3 0 85.4c0 59.8 35.1 83.1 75.2 83.1 20.1 0 37.2-4.7 48.4-9.4l-.5-63.9V75.1H63.6v20.1h38l.5 48.5c-5 2.5-13.6 4.5-25.3 4.5-32.2 0-53.8-20.3-53.8-63-.1-43.5 22.2-64.6 54.9-64.6M231.43 2.95h-21.3l.1 27.3v94.3c0 26.3 11.4 43.9 43.9 43.9 4.5 0 8.9-.4 13.1-1.2v-19.1c-3.1.5-6.4.7-9.9.7-17.9 0-25.8-9.2-25.8-24.6v-65h35.7v-17.8h-35.7l-.1-38.5M155.96 165.47h21.3v-124h-21.3v124M155.96 24.37h21.3V3.07h-21.3v21.3"/></svg>

</span>
</a></h1>
<ul class="list-unstyled navbar-sub-nav">
<li class="home"><a title="Projects" class="dashboard-shortcuts-projects" href="/explore">Projects
</a></li><li class=""><a title="Groups" class="dashboard-shortcuts-groups" href="/explore/groups">Groups
</a></li><li class="active"><a title="Snippets" class="dashboard-shortcuts-snippets" href="/explore/snippets">Snippets
</a></li><li>
<a title="About GitLab CE" href="/help">Help</a>
</li>
</ul>

</div>
<div class="navbar-collapse collapse">
<ul class="nav navbar-nav">
<li class="nav-item d-none d-lg-block m-auto">
<div class="search search-form" data-track-event="activate_form_input" data-track-label="navbar_search" data-track-value="">
<form class="form-inline" action="/search" accept-charset="UTF-8" method="get"><input name="utf8" type="hidden" value="&#x2713;" /><div class="search-input-container">
<div class="search-input-wrap">
<div class="dropdown" data-url="/search/autocomplete">
<input type="search" name="search" id="search" placeholder="Search or jump to…" class="search-input dropdown-menu-toggle no-outline js-search-dashboard-options" spellcheck="false" tabindex="1" autocomplete="off" data-issues-path="/dashboard/issues" data-mr-path="/dashboard/merge_requests" data-qa-selector="search_term_field" aria-label="Search or jump to…" />
<button class="hidden js-dropdown-search-toggle" data-toggle="dropdown" type="button"></button>
<div class="dropdown-menu dropdown-select js-dashboard-search-options">
<div class="dropdown-content"><ul>
<li class="dropdown-menu-empty-item">
<a>
Loading...
</a>
</li>
</ul>
</div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div>
</div>
<svg class="s16 search-icon"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#search"></use></svg>
<svg class="s16 clear-icon js-clear-input"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#close"></use></svg>
</div>
</div>
</div>
<input type="hidden" name="group_id" id="group_id" class="js-search-group-options" />
<input type="hidden" name="project_id" id="search_project_id" value="" class="js-search-project-options" />
<input type="hidden" name="snippets" id="snippets" value="true" />
<input type="hidden" name="repository_ref" id="repository_ref" />
<input type="hidden" name="nav_source" id="nav_source" value="navbar" />
<div class="search-autocomplete-opts hide" data-autocomplete-path="/search/autocomplete"></div>
</form></div>

</li>
<li class="nav-item d-inline-block d-lg-none">
<a title="Search" aria-label="Search" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/search"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#search"></use></svg>
</a></li>
<li class="nav-item header-help dropdown d-none d-md-block">
<a class="header-help-dropdown-toggle" data-toggle="dropdown" href="/help"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#question"></use></svg>
<svg class="caret-down"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-down"></use></svg>
</a><div class="dropdown-menu dropdown-menu-right">
<ul>
<li>
<a href="/help">Help</a>
</li>
<li>
<a href="https://about.gitlab.com/getting-help/">Support</a>
</li>
<li>
<button class="js-shortcuts-modal-trigger" type="button">
Keyboard shortcuts
<span aria-hidden class="text-secondary float-right">?</span>
</button>
</li>

<li class="divider"></li>
<li>
<a href="https://about.gitlab.com/submit-feedback">Submit feedback</a>
</li>
<li>
<a target="_blank" class="text-nowrap" href="https://about.gitlab.com/contributing">Contribute to GitLab
</a>

</li>

<li>
<a href="https://next.gitlab.com/">Switch to GitLab Next</a>
</li>
</ul>

</div>
</li>
<li class="nav-item">
<div>
<a class="btn btn-sign-in" href="/users/sign_in?redirect_to_referer=yes">Sign in / Register</a>
</div>
</li>
</ul>
</div>
<button class="navbar-toggler d-block d-sm-none" type="button">
<span class="sr-only">Toggle navigation</span>
<svg class="s12 more-icon js-navbar-toggle-right"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#ellipsis_h"></use></svg>
<svg class="s12 close-icon js-navbar-toggle-left"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#close"></use></svg>
</button>
</div>
</div>
</header>

<div class="layout-page">
<div class="content-wrapper">
<div class="mobile-overlay"></div>
<div class="alert-wrapper">









<nav class="breadcrumbs container-fluid container-limited limit-container-width limited-inner-width-container" role="navigation">
<div class="breadcrumbs-container">
<div class="breadcrumbs-links js-title-container" data-qa-selector="breadcrumb_links_content">
<ul class="list-unstyled breadcrumbs-list js-breadcrumbs-list">
<li><a href="/dashboard/snippets">Snippets</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-right"></use></svg></li>

<li>
<h2 class="breadcrumbs-sub-title"><a href="/snippets/1960084">$1960084</a></h2>
</li>
</ul>
</div>

</div>
</nav>

<div class="d-flex"></div>
</div>
<div class="container-fluid container-limited limit-container-width limited-inner-width-container">
<div class="content" id="content-body">
<div class="flash-container flash-container-page sticky">
</div>

<div data-qa-selector="snippet_view" data-snippet-gid="gid://gitlab/PersonalSnippet/1960084" id="js-snippet-view"></div>
<div class="row-content-block top-block content-component-block">
<div class="awards js-awards-block" data-award-url="/snippets/1960084/toggle_award_emoji">
<button class="award-control btn disabled has-tooltip js-emoji-btn" data-title="" type="button">
<gl-emoji title="thumbs up sign" data-name="thumbsup" data-unicode-version="6.0">👍</gl-emoji>
<span class="award-control-text js-counter">
0
</span>
</button>
<button class="award-control btn disabled has-tooltip js-emoji-btn" data-title="" type="button">
<gl-emoji title="thumbs down sign" data-name="thumbsdown" data-unicode-version="6.0">👎</gl-emoji>
<span class="award-control-text js-counter">
0
</span>
</button>

</div>

</div>
<div class="limited-width-notes" id="notes"><ul class="notes main-notes-list timeline" id="notes-list">

</ul>
<div class="note-edit-form">
<form class="edit-note common-note-form js-quick-submit" action="#" accept-charset="UTF-8" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="_method" value="put" /><input type="hidden" name="authenticity_token" value="8FMIs5WVip9d65P33KwK/cm52ac6Qv+anfdke+mv+QqQs6uGDHJsesoj2+1sa1Uo3r1XjG8+d3FFbbSn54yeFQ==" /><input type="hidden" name="target_id" id="target_id" value="" class="js-form-target-id" />
<input type="hidden" name="target_type" id="target_type" value="" class="js-form-target-type" />
<div class="md-area position-relative">
<div class="md-header">
<ul class="nav nav-tabs nav-links clearfix">
<li class="md-header-tab active">
<button class="js-md-write-button" tabindex="-1">
Write
</button>
</li>
<li class="md-header-tab">
<button class="js-md-preview-button" tabindex="-1">
Preview
</button>
</li>
<li class="md-header-toolbar active">
<div class="md-header-toolbar active">
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="**" data-container="body" title="Add bold text" aria-label="Add bold text"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#bold"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="*" data-container="body" title="Add italic text" aria-label="Add italic text"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#italic"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="&gt; " data-md-prepend="true" data-container="body" title="Insert a quote" aria-label="Insert a quote"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#quote"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="`" data-md-block="```" data-container="body" title="Insert code" aria-label="Insert code"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#code"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="[{text}](url)" data-md-select="url" data-container="body" title="Add a link" aria-label="Add a link"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#link"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="* " data-md-prepend="true" data-container="body" title="Add a bullet list" aria-label="Add a bullet list"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#list-bulleted"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="1. " data-md-prepend="true" data-container="body" title="Add a numbered list" aria-label="Add a numbered list"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#list-numbered"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="* [ ] " data-md-prepend="true" data-container="body" title="Add a task list" aria-label="Add a task list"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#list-task"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="| header | header |
| ------ | ------ |
| cell | cell |
| cell | cell |" data-md-prepend="true" data-container="body" title="Add a table" aria-label="Add a table"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#table"></use></svg></button>
<button aria-label="Go full screen" class="toolbar-btn toolbar-fullscreen-btn js-zen-enter has-tooltip" data-container="body" tabindex="-1" title="Go full screen" type="button">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#screen-full"></use></svg>
</button>
</div>

</li>
</ul>
</div>
<div class="md-write-holder">
<div class="zen-backdrop">
<textarea name="note[note]" id="note_note" class="note-textarea js-note-text js-task-list-field js-gfm-input js-autosize markdown-area" placeholder="Write a comment or drag your files here…"></textarea>
<a class="zen-control zen-control-leave js-zen-leave" href="#">
<i aria-hidden="true" data-hidden="true" class="fa fa-compress"></i>
</a>
</div>

<div class="comment-toolbar clearfix">
<div class="toolbar-text">
<a target="_blank" tabindex="-1" href="/help/user/markdown">Markdown</a>
is
supported
</div>
<span class="uploading-container">
<span class="uploading-progress-container hide">
<i aria-hidden="true" data-hidden="true" class="fa fa-file-image-o toolbar-button-icon"></i>
<span class="attaching-file-message">
</span>
<span class="uploading-progress">0%</span>
<span class="uploading-spinner">
<div class="toolbar-button-icon spinner align-text-top"></div>
</span>
</span>
<span class="uploading-error-container hide">
<span class="uploading-error-icon">
<i aria-hidden="true" data-hidden="true" class="fa fa-file-image-o toolbar-button-icon"></i>
</span>
<span class="uploading-error-message">
</span>
<button class="retry-uploading-link" type="button">Try again</button>
or
<button class="attach-new-file markdown-selector" type="button">attach a new file</button>
</span>
<button class="markdown-selector button-attach-file btn-link" tabindex="-1" type="button">
<i aria-hidden="true" data-hidden="true" class="fa fa-file-image-o toolbar-button-icon"></i><span class="text-attach-file">Attach a file</span></button>
<button class="btn btn-default btn-sm hide button-cancel-uploading-files" type="button">Cancel</button>
</span>
</div>


</div>
<div class="md md-preview-holder js-md-preview hide" data-url="/snippets/preview_markdown"></div>
<div class="referenced-commands hide"></div>
<div class="referenced-users hide">
<span>
<i aria-hidden="true" data-hidden="true" class="fa fa-exclamation-triangle"></i>
You are about to add
<strong>
<span class="js-referenced-users-count">0</span>
people
</strong>
to the discussion. Proceed with caution.
</span>
</div>
</div>
<div class="note-form-actions clearfix">
<div class="settings-message note-edit-warning js-finish-edit-warning">
Finish editing this message first!
</div>
<input type="submit" name="commit" value="Save comment" class="btn btn-nr btn-success js-comment-save-button" data-disable-with="Save comment" />
<button class="btn btn-nr btn-cancel note-edit-cancel" type="button">
Cancel
</button>
</div>
</form></div>

<div class="disabled-comment text-center prepend-top-default">
Please <a class="js-register-link" href="/users/sign_in?redirect_to_referer=yes#register-pane">register</a> or <a class="js-sign-in-link" href="/users/sign_in?redirect_to_referer=yes">sign in</a> to comment
</div>
<script class="js-notes-data" type="application/json">{"notesUrl":"/snippets/1960084/notes","notesIds":[],"now":1585839147,"diffView":"inline","enableGFM":{"emojis":true,"members":false,"issues":false,"mergeRequests":false,"epics":false,"milestones":false,"labels":false}}</script>
</div>

</div>
</div>
</div>
</div>




</body>
</html>

